## org.apache.log4j.lf5
Interface LogRecordFilter

All Known Implementing Classes:
  CategoryExplorerLogRecordFilter, PassingLogRecordFilter

    public interface LogRecordFilter

An interface for classes which filters LogRecords. Implementations represent a rule or condition which LogRecords may pass or fail.

Author:
  Richard Wan
See Also:
  `LogRecord`

Method Summary
`boolean` `passes(LogRecord record)`

Method Detail

### passes

    boolean passes(LogRecord record)

  Returns:
    true if the specified LogRecord satisfies whatever condition implementing class tests for.

Copyright © 1999-2007 Apache Software Foundation. All Rights Reserved.